import './impl/city_repository_impl.dart';

/// 根据城市名称获取城市id
abstract class CityRepository {
  static CityRepositoryImpl get() {
    return CityRepositoryImpl();
  }

  /// 根据城市名称获取城市id
  /// [cityName] 城市名
  Future<String?> getCityId(String cityName);
}
