import 'package:life_repository/life_repository.dart';

class CityRepositoryImpl extends CityRepository {
  CityRepositoryImpl.get();
  static final CityRepositoryImpl _instance = CityRepositoryImpl.get();
  factory CityRepositoryImpl() {
    return _instance;
  }
  @override
  Future<String?> getCityId(String cityName) async {
    var result = await DSDioUtil.getInstance().get('/lifeChannel.getCityId',
        queryParameters: {"city_name": cityName});
    var res = DSResponseObject<String?>.fromJson(result, (json) {
      return json!['city_id'];
    });
    return res.data;
  }
}
