import '../entity/shop_info_entity.dart';
import '../entity/shop_outer_info_entity.dart';
import './impl/shop_info_repository_impl.dart';

abstract class ShopInfoRepository {
  static ShopInfoRepositoryImpl get() {
    return ShopInfoRepositoryImpl();
  }

  Future<ShopInfoEntity?> findShopDetail(String shopId, String lat, String lng,
      [String source = "1"]);

  Future<ShopOuterInfoEntity?> findShopOuterInfo(
      String shopId, String firstCateId);

  Future<String?> getShareUrl(String shopId, String firstCateId);
}
